package gui.fractals;

/*
 *  Copyright (C) 2014 - 2018 Juergen Platzer 
 * 
 *  This file is part of JFXLibrary.
 *  
 *  JFXLibrary is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  JFXLibrary is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JFXLibrary.  If not, see <http://www.gnu.org/licenses/>.
 */


//Library imports
import fractals.MandelbrotSetParameters;

/**
 *  A properties panel for the mandelbrot effect.
 **/
public class MandelbrotSetPropertiesPanel extends FractalSetPropertiesPanel {
  
  
  
  ////////////////////////////////
  // CONSTRUCTOR                //
  ////////////////////////////////
  /**
   *  Creates a {@code MandelbrotSetPropertiesPanel} object with the parameters that are set to a given  {@code MandelbrotSetPanel}.
   *
   *  @param pMandelbrotSetPanel The {@code MandelbrotSetPanel} object from which the effect properties are taken.
   **/
  public MandelbrotSetPropertiesPanel(MandelbrotSetPanel pMandelbrotSetPanel) {
    initPanel(pMandelbrotSetPanel);
    
  }
  
  

}